This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 662275 - (hledger) Review Request: hledger - A double-entry accounting tool
Review Request: hledger - A double-entry accounting tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: ghc-hledger-lib ghc-cabal-file-th
Blocks: hledger-vty hledger-web
  Show dependency treegraph
 
Reported: 2010-12-11 00:40 EST by Ben Boeckel
Modified: 2012-07-20 22:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:56:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-12-11 00:40:46 EST
Spec: http://benboeckel.net/packaging/hledger/hledger.spec
SRPM: http://benboeckel.net/packaging/hledger/hledger-0.13-1.fc14.src.rpm
Description:
hledger reads a plain text general journal or time log
describing your transactions and displays precise
balance and register reports on the console.
It is a remix, in haskell, of John Wiegley's excellent c++
ledger.  hledger aims to be a practical, accessible tool
for end users and a useful library for finance-minded
haskell programmers.

% lintmock fedora-rawhide-x86_64
ghc-hledger.x86_64: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
ghc-hledger-devel.x86_64: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
ghc-hledger-devel.x86_64: W: no-documentation
ghc-hledger-prof.x86_64: E: devel-dependency ghc-hledger-devel
ghc-hledger-prof.x86_64: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
ghc-hledger-prof.x86_64: W: no-documentation
hledger.src: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
hledger.src: W: strange-permission hledger-0.13.tar.gz 0640L
hledger.src: W: strange-permission hledger.spec 0640L
hledger.x86_64: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
hledger.x86_64: W: no-documentation
hledger.x86_64: W: no-manual-page-for-binary hledger
5 packages and 0 specfiles checked; 1 errors, 11 warnings.
Comment 1 Jens Petersen 2011-05-02 21:52:57 EDT
0.14 is out: can the spec file be updated?
Comment 2 Narasimhan 2011-07-12 06:17:26 EDT
Needs hledger-lib to be built for rawhide at least.
Comment 4 Ben Boeckel 2012-02-29 01:09:27 EST
ghc-hledger.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-hledger-devel.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
hledger.src: W: name-repeated-in-summary C hledger
hledger.src: W: spelling-error %description -l en_US haskell -> Haskell
hledger.src: W: strange-permission hledger-0.17.tar.gz 0640L
hledger.src: W: strange-permission hledger.spec 0640L
hledger.x86_64: W: name-repeated-in-summary C hledger
hledger.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
hledger.x86_64: W: no-manual-page-for-binary hledger
4 packages and 0 specfiles checked; 0 errors, 9 warnings.
Comment 6 Jens Petersen 2012-04-13 23:21:53 EDT
Seems to build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3987062
Comment 7 Narasimhan 2012-06-17 09:13:35 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
pmlint  -i ghc-hledger-0.17-1.fc17.x86_64.rpm ghc-hledger-devel-0.17-1.fc17.x86_64.rpm hledger-0.17-1.fc17.x86_64.rpm hledger-0.17-1.fc17.src.rpm ../hledger.spec 
ghc-hledger.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

ghc-hledger-devel.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

hledger.x86_64: W: name-repeated-in-summary C hledger
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

hledger.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

hledger.x86_64: W: no-manual-page-for-binary hledger
Each executable in standard binary directories should have a man page.

hledger.src: W: name-repeated-in-summary C hledger
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

hledger.src: W: spelling-error %description -l en_US haskell -> Haskell
The value of this tag appears to be misspelled. Please double-check.

hledger.src: W: strange-permission hledger-0.17.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

4 packages and 1 specfiles checked; 0 errors, 8 warnings. 
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
GPLv3
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included. 
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum hledger-0.17.tar.gz hledger-0.17-1.fc18.src/hledger-0.17.tar.gz 
b4d62425535906232932adbee1e0843f  hledger-0.17.tar.gz
b4d62425535906232932adbee1e0843f  hledger-0.17-1.fc18.src/hledger-0.17.tar.gz
[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-hledger
error: Failed dependencies:
        ghc(hledger-0.17) = 9425660feecb08de493b26ba3d6d53c9 is needed by (installed) ghc-hledger-devel-0.17-1.fc17.x86_64
        ghc-hledger = 0.17-1.fc17 is needed by (installed) ghc-hledger-devel-0.17-1.fc17.x86_64
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Loaded Hledger.Cli.Add into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 8 Ben Boeckel 2012-06-19 22:43:45 EDT
New Package SCM Request
=======================
Package Name: hledger
Short Description: A double-entry accounting tool
Owners: mathstuf
Branches: f17 f16
InitialCC: haskell-sig
Comment 9 Jon Ciesla 2012-06-20 08:13:52 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-07-10 00:44:40 EDT
hledger-0.17-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hledger-0.17-1.fc17
Comment 11 Fedora Update System 2012-07-10 16:53:04 EDT
hledger-0.17-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-07-20 22:56:39 EDT
hledger-0.17-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.